Page MenuHomePhabricator

Strings evaluating false are ignored by Language converter
Closed, ResolvedPublic

Description

-{zh-cn:0;zh-sg:1;zh-tw:2;zh-hk:3}- doesn't work for zh-cn.


Version: 1.22.0
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=46634

Details

Reference
bz49072

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:43 AM
bzimport set Reference to bz49072.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Jun 3 2013, 4:23 AM

Related URL: https://gerrit.wikimedia.org/r/66375 (Gerrit Change I0669145a57d9e73ba2f88e186fb9ae9b04ba0484)

Change 66375 abandoned by Liangent:
LanguageConverter: Handle strings in parseRules evaluating false correctly

https://gerrit.wikimedia.org/r/66375

Change 131717 had a related patch set uploaded by Liangent:
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Change 131717 had a related patch set uploaded (by Liangent):
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Change 131717 merged by jenkins-bot:
LanguageConverter fix of empty and numeric strings

https://gerrit.wikimedia.org/r/131717

Anomie closed this task as Resolved.Jun 8 2015, 4:56 PM
Anomie assigned this task to liangent.
Anomie set Security to None.
Anomie added a subscriber: Anomie.

The fix should go out to WMF wikis with 1.26wmf9, see https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap for the schedule.